Forum |  HardWare.fr | News | Articles | PC | S'identifier | S'inscrire | Shop Recherche
2496 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs

  Debian sarge update kernel 2.6.14

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

Debian sarge update kernel 2.6.14

n°747079
Baf le vos​gien
Posté le 31-10-2005 à 20:23:12  profilanswer
 

Voila je vient d'installer une sarge sur mon vaio, et pour avoir le son, je désire mettre le kernel 2.6.14, car alsa est inclu dedans le kernel, mais j'arrive pas.
Synaptics me sort :
 

Citation :


Sélection du paquet linux-image-2.6.14-1-686 précédemment désélectionné.
(Lecture de la base de données... 99286 fichiers et répertoires déjà installés.)Dépaquetage de linux-image-2.6.14-1-686 (à partir de .../linux-image-2.6.14-1-686_2.6.14-1_i386.deb) ...
 
You are attempting to install an initrd kernel image (version
2.6.14-1-686) while running a kernel of version 2.4.27-2-386, but
you have no suitable ramdisk generation tool installed among
/usr/sbin/mkinitrd /usr/sbin/mkinitrd.yaird /usr/sbin/mkinitramfs.  This will break the installation, unless a
suitable ramdisk generation tool is also being installed right
now.
 
Could not find . at /var/lib/dpkg/tmp.ci/preinst line 228.
 
Échec, toutes les modifications n'ont pas pu être appliquées. - Faites défiler la fenêtre pour trouver l'erreur.gorp

mood
Publicité
Posté le 31-10-2005 à 20:23:12  profilanswer
 

n°747082
rdc3
Posté le 31-10-2005 à 20:43:37  profilanswer
 

Essaie plutôt de partir l'installation à partir du paquet kernel-image-xxxxxxxx

n°747083
Baf le vos​gien
Posté le 31-10-2005 à 20:51:26  profilanswer
 

c se ke j'ai fais mais il m'a mis comme dépendance  linux-image-2.6.14-1-686 et linux-image-2.6-686.
J'ai mis mkinitrd a jour et maintenant quand je séléectione kernel-image-2.6-686, synaptics me dit :
 

Citation :

Sélection du paquet linux-image-2.6.14-1-686 précédemment désélectionné.
(Lecture de la base de données... 99286 fichiers et répertoires déjà installés.)Dépaquetage de linux-image-2.6.14-1-686 (à partir de .../linux-image-2.6.14-1-686_2.6.14-1_i386.deb) ...
 
You are attempting to install an initrd kernel image (version
2.6.14-1-686) while running a kernel of version 2.4.27-2-386, but
you have no suitable ramdisk generation tool installed among
/usr/sbin/mkinitrd /usr/sbin/mkinitrd.yaird /usr/sbin/mkinitramfs.  This will break the installation, unless a
suitable ramdisk generation tool is also being installed right
now.
 
Could not find . at /var/lib/dpkg/tmp.ci/preinst line 228.
Sélection du paquet linux-image-2.6-686 précédemment désélectionné.
Dépaquetage de linux-image-2.6-686 (à partir de .../linux-image-2.6-686_2.6.14-1_i386.deb) ...
Sélection du paquet kernel-image-2.6-686 précédemment désélectionné.
Dépaquetage de kernel-image-2.6-686 (à partir de .../kernel-image-2.6-686_1%3a2.6.14-1_i386.deb) ...
Paramétrage de linux-image-2.6.14-1-686 (2.6.14-1) ...
Failed to find suitable ramdisk generation tool for kernel version 2.6.14-1-686 on running kernel 2.4.27-2-386 in /usr/sbin/mkinitrd /usr/sbin/mkinitrd.yaird /usr/sbin/mkinitramfs
dpkg : erreur de traitement de linux-image-2.6.14-1-686 (--configure) :
 le sous-processus post-installation script a retourné une erreur de sortie d'état 2
dpkg : des problèmes de dépendances empêchent la configuration de linux-image-2.6-686 :
 linux-image-2.6-686 dépend de linux-image-2.6.14-1-686 ; cependant :
  Paquet linux-image-2.6.14-1-686 n'est pas encore configuré.
dpkg : erreur de traitement de linux-image-2.6-686 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de kernel-image-2.6-686 :
 kernel-image-2.6-686 dépend de linux-image-2.6-686 ; cependant :
  Paquet linux-image-2.6-686 n'est pas encore configuré.
dpkg : erreur de traitement de kernel-image-2.6-686 (--configure) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 linux-image-2.6.14-1-686
 linux-image-2.6-686
 kernel-image-2.6-686
 
Échec, toutes les modifications n'ont pas pu être appliquées. - Faites défiler la fenêtre pour trouver l'erreur.$
 
 


Message édité par Baf le vosgien le 31-10-2005 à 20:52:07
n°747095
rdc3
Posté le 31-10-2005 à 21:13:18  profilanswer
 

Je vois que tu es dans la branche unstable à vouloir installer un kernel 2.6.14 sur un portable vaio.
 
Est-ce que tu as une raison valable d'être passé en unstable. Car tu ne seras pas capable de maintenir tes mises à jours plus de 3 ou 4 mois et si ton portable est ton ordinateur de travail conventionnelle tu vas le regretter lorsqu'apt vas te péter en pleine figure. Mais bon je suis comme Mjules je parle probablement dans le vide..
 
Malgré tout, pour tes messages d'erreurs à première vue le tout vient probablement du besoin des paquets initrd-tools et initramfs-tools

n°747100
Baf le vos​gien
Posté le 31-10-2005 à 21:21:37  profilanswer
 

initramfs-tools n'était pas installer, merci rdc3. Pour le unstable ou stable, g choisie unstable pour avoir kde3.4, et une fois que tout marche, je fais plu de mise a jour.

n°747105
l0ky
Posté le 31-10-2005 à 21:47:52  profilanswer
 

Baf le vosgien a écrit :

initramfs-tools n'était pas installer, merci rdc3. Pour le unstable ou stable, g choisie unstable pour avoir kde3.4, et une fois que tout marche, je fais plu de mise a jour.


 :lol:  Mouai  :heink:  
Sans oublier les mises a jour de sécu, les problemes dans les nouveaux packages que tu vas installer...


Message édité par l0ky le 31-10-2005 à 21:48:13
n°747106
madkat
Posté le 31-10-2005 à 21:50:36  profilanswer
 

J'ai eu le problème pour ton noyau, en fait ton noyau 2.6.14 est a moitier installé, soit tu le réinstalle maintenant que tu as initramfs-tools, soit tu le vire.

n°747110
Baf le vos​gien
Posté le 31-10-2005 à 21:56:42  profilanswer
 

et si maintenant je repasse en stable, il y aura des problémes de dépendance  ou de compatibilité?
Sinon pour mon noyau, sa marche parfaitement, je l'avais désinstaller puis installer initramfs-tools puis réinstaller


Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs

  Debian sarge update kernel 2.6.14

 

Sujets relatifs
Debian module[debian] partage de connexion, quelques sites disparus...
Compilation d'un module pour le kernel impossible[debian]Probleme de lancement gnome et extinction du pc
[mandrake/debian]calculatrice casio graph65difficulté à configurer exim4 sous debian testing
[newbe sous debian] c'est quoi la derniere release de debianpb installation debian
Problème d'update Fedora (version de kernel, nvidia inside) 
Plus de sujets relatifs à : Debian sarge update kernel 2.6.14


Copyright © 1997-2018 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR